create table claim
(
    id                                     serial     not null,
    policy_id                              integer,
    person_id                              integer,
    incident_id                            integer,
    first_notification_of_loss             timestamp,
    police_reference                       varchar(40),
    photos_to_follow                       boolean,
    sketch_to_follow                       boolean,
    description_of_weather                 varchar(2000),
    description_of_property_damage         varchar(2000),
    created_at                             timestamp   not null
                                               default now(),
    updated_at                             timestamp   not null,
    constraint primary_key_claim           primary key(id),
    constraint foreign_key_claim_policy    foreign key (policy_id)
                                              references policy(id),
    constraint foreign_key_claim_person    foreign key (person_id) 
                                              references person(id),
    constraint foreign_key_claim_incident  foreign key (incident_id)
                                              references incident(id)
);
